Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] New package: cortexcommand-6.2.2
@ 2024-07-22  5:02 xolophreny
  2024-07-22  8:35 ` Emru1
                   ` (13 more replies)
  0 siblings, 14 replies; 15+ messages in thread
From: xolophreny @ 2024-07-22  5:02 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1378 bytes --]

There is a new pull request by xolophreny against master on the void-packages repository

https://github.com/xolophreny/void-packages cortexcommand
https://github.com/void-linux/void-packages/pull/51381

New package: cortexcommand-6.2.2
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**


#### New package
- This new package conforms to the [package requirements](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#package-requirements): **YES**, compiled


<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64 (cross)
  - i686 (fails, meson can't find tbb, also doesn't seem to be supported upstream)
  - x86_64-musl (fails, fmod needs glibc)

Needs #50375 for recent enough LuaJIT

A patch file from https://github.com/void-linux/void-packages/pull/51381.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-cortexcommand-51381.patch --]
[-- Type: text/x-diff, Size: 4367 bytes --]

From 5fdb879a6d76acaedbacc1aac0122fa2c79f2a1e Mon Sep 17 00:00:00 2001
From: Nika Jay <xolophreny@proton.me>
Date: Sun, 21 Jul 2024 21:40:13 +0500
Subject: [PATCH] New package: cortexcommand-6.2.2

---
 srcpkgs/cortexcommand/patches/128.patch | 80 +++++++++++++++++++++++++
 srcpkgs/cortexcommand/template          | 23 +++++++
 2 files changed, 103 insertions(+)
 create mode 100644 srcpkgs/cortexcommand/patches/128.patch
 create mode 100644 srcpkgs/cortexcommand/template

diff --git a/srcpkgs/cortexcommand/patches/128.patch b/srcpkgs/cortexcommand/patches/128.patch
new file mode 100644
index 00000000000000..df4efd4bdd40f3
--- /dev/null
+++ b/srcpkgs/cortexcommand/patches/128.patch
@@ -0,0 +1,80 @@
+From 20d5fc3b99675b64d40e3815b1fe635a5e32cdd3 Mon Sep 17 00:00:00 2001
+From: fl0pp5 <fl0pp5@altlinux.org>
+Date: Fri, 19 Apr 2024 18:47:59 +0300
+Subject: [PATCH 1/2] fix invalid link to Data directory & remove link to
+ Credits.txt
+
+---
+ Resources/cccp.sh | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index f1fd0aabe..8ded4ae25 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,7 +5,7 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-    ln -s "${base_data_path}"/*.rte "${base_data_path}/Credits.txt" $tmp_dir
++	ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+
+From 07a9105ce67b771de4f45effbecc331b5db221bf Mon Sep 17 00:00:00 2001
+From: HeliumAnt <lesgoets@gmail.com>
+Date: Sat, 20 Apr 2024 16:16:23 +0200
+Subject: [PATCH 2/2] update remaining userfiles
+
+---
+ Resources/cccp.sh | 18 +++---------------
+ 1 file changed, 3 insertions(+), 15 deletions(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index 8ded4ae25..abef3c1db 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,12 +5,12 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-	ln -s "${base_data_path}"/Data "$tmp_dir"
++    ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+-    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortScreen.bmp" "AbortScreen.png" "Settings.ini")
+-    local user_directories=("Metagames.rte" "Scenes.rte" "_ScreenShots")
++    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortLog.txt" "AbortScreen.bmp" "AbortScreen.png")
++    local user_directories=("Mods" "Userdata" "ScreenShots")
+ 
+     if ! [[ -d "${user_data}" ]]; then
+         mkdir -p "${user_data}"
+@@ -20,16 +20,6 @@ link_user_files() {
+         ln -s "${user_data}/$file" $tmp_dir
+     done
+ 
+-    if ! [[ -d "${user_data}/Metagames.rte" ]]; then
+-        mkdir -p "${user_data}/Metagames.rte"
+-        echo -e "DataModule\n\tModuleName = Metagame Saves" > "${user_data}/Metagames.rte/Index.ini"
+-    fi
+-
+-    if ! [[ -d "${user_data}/Scenes.rte" ]]; then
+-        mkdir -p "${user_data}/Scenes.rte"
+-        echo -e "DataModule\n\tModuleName = Saves" > "${user_data}/Scenes.rte/Index.ini"
+-    fi
+-
+     for directory in ${user_directories[@]}; do
+         if ! [[ -d "${user_data}/${directory}" ]]; then
+             mkdir -p "${user_data}/${directory}"
+@@ -51,8 +41,6 @@ link_user_files
+ 
+ cd "${tmp_dir}"
+ 
+-export CCCP_SETTINGSPATH="Settings.ini"
+-
+ "@EXEPATH@/@EXENAME@" $@
+ 
+ exit_code=$?
+
diff --git a/srcpkgs/cortexcommand/template b/srcpkgs/cortexcommand/template
new file mode 100644
index 00000000000000..9deb929be728db
--- /dev/null
+++ b/srcpkgs/cortexcommand/template
@@ -0,0 +1,23 @@
+# Template file for 'cortexcommand'
+pkgname=cortexcommand
+version=6.2.2
+revision=1
+archs="x86_64 aarch64"
+build_style=meson
+configure_args="$(vopt_if debug --buildtype=debug)"
+hostmakedepends="pkg-config"
+makedepends="SDL2-devel SDL2_image-devel tbb-devel libflac-devel LuaJIT-devel minizip-devel liblz4-devel libpng-devel"
+depends="LuaJIT>=2.1.1"
+short_desc="Cortex Command Community Project"
+maintainer="Nika Jay <xolophreny@proton.me>"
+license="AGPL-3.0-only"
+homepage="https://cortex-command-community.github.io"
+distfiles="https://github.com/cortex-command-community/Cortex-Command-Community-Project/archive/refs/tags/v${version}.tar.gz"
+checksum=66fb83566982d2fed4b01c2c83b5cd2ef4b8e6ede08f160eb16509f4bf340c80
+
+build_options="debug"
+desc_option_debug="Enable debug build"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
@ 2024-07-22  8:35 ` Emru1
  2024-07-22  8:35 ` Emru1
                   ` (12 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Emru1 @ 2024-07-22  8:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 320 bytes --]

New comment by Emru1 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2242396931

Comment:
> Needs https://github.com/void-linux/void-packages/pull/50375 for recent enough LuaJIT, otherwise builds but crashes in use
Oh, that was the reason why it was constantly crashing

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
  2024-07-22  8:35 ` Emru1
@ 2024-07-22  8:35 ` Emru1
  2024-07-22 23:17 ` Calandracas606
                   ` (11 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Emru1 @ 2024-07-22  8:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 322 bytes --]

New comment by Emru1 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2242396931

Comment:
> Needs https://github.com/void-linux/void-packages/pull/50375 for recent enough LuaJIT, otherwise builds but crashes in use

Oh, that was the reason why it was constantly crashing

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
  2024-07-22  8:35 ` Emru1
  2024-07-22  8:35 ` Emru1
@ 2024-07-22 23:17 ` Calandracas606
  2024-07-23  8:35 ` Bnyro
                   ` (10 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Calandracas606 @ 2024-07-22 23:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 554 bytes --]

New comment by Calandracas606 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2243968541

Comment:

>  686 (fails, meson can't find tbb, also doesn't seem to be supported upstream)

maybe because void's tbb package only builds the python bindings on `x86_64*|aarch64*`


>  x86_64-musl (fails, fmod needs glibc)

musl's `math.h` should contain fmod: https://git.musl-libc.org/cgit/musl/tree/include/math.h#n227
you might need to patch the software to `#include <math.h>` where fmod is needed



^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (2 preceding siblings ...)
  2024-07-22 23:17 ` Calandracas606
@ 2024-07-23  8:35 ` Bnyro
  2024-07-23 11:10 ` xolophreny
                   ` (9 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Bnyro @ 2024-07-23  8:35 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 276 bytes --]

New comment by Bnyro on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2244592071

Comment:
> musl's math.h should contain fmod
>
It's about the `fmod` game audio library (https://www.fmod.com/), not the mathematical function.

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (3 preceding siblings ...)
  2024-07-23  8:35 ` Bnyro
@ 2024-07-23 11:10 ` xolophreny
  2024-07-23 11:16 ` Calandracas606
                   ` (8 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: xolophreny @ 2024-07-23 11:10 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 564 bytes --]

New comment by xolophreny on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2244950886

Comment:
> maybe because void's tbb package only builds the python bindings on `x86_64*|aarch64*`

Tried adding `i686*` to that list in tbb template and building tbb-devel, didn't help, still `Run-time dependency tbb found: NO (tried pkgconfig)`, and unfortunately no other ideas

> musl's `math.h` should contain fmod

Yeah sorry wasn't clear enough there, this is indeed about the fmod game audio library which this uses

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (4 preceding siblings ...)
  2024-07-23 11:10 ` xolophreny
@ 2024-07-23 11:16 ` Calandracas606
  2024-07-23 11:30 ` Calandracas606
                   ` (7 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Calandracas606 @ 2024-07-23 11:16 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 533 bytes --]

New comment by Calandracas606 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2244960584

Comment:
> It's about the `fmod` game audio library (https://www.fmod.com/), not the mathematical function.

This looks like a proprietary library.

If a binary is bundled in the distfiles, that would make this package nonfree.

additionally, this package being AGPL but using a proprietary binary would make distribution legally dubious.

maybe the package would need to be restricted

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (5 preceding siblings ...)
  2024-07-23 11:16 ` Calandracas606
@ 2024-07-23 11:30 ` Calandracas606
  2024-07-23 12:33 ` xolophreny
                   ` (6 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Calandracas606 @ 2024-07-23 11:30 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 612 bytes --]

New comment by Calandracas606 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2244984541

Comment:

> Tried adding `i686*` to that list in tbb template and building tbb-devel, didn't help, still `Run-time dependency tbb found: NO (tried pkgconfig)`, and unfortunately no other ideas
> 

Try adding cmake to hostmakedepends, and/or patching meson.build to use something like this:

```
tbb_dep = dependency(
  'TBB',
  method : 'cmake',
  modules : [
    'TBB::tbb',
    'TBB::tbbmalloc',
    'TBB::tbbmalloc_proxy',
  ],
  required : true,
)
```

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (6 preceding siblings ...)
  2024-07-23 11:30 ` Calandracas606
@ 2024-07-23 12:33 ` xolophreny
  2024-07-23 12:41 ` Calandracas606
                   ` (5 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: xolophreny @ 2024-07-23 12:33 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 834 bytes --]

New comment by xolophreny on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2245131775

Comment:
> Try adding cmake to hostmakedepends, and/or patching meson.build to use something like this:

Still results in `Run-time dependency tbb found: NO (tried cmake)`

Fortunately, looks like they only provide fmod blobs for x86_64 and arm64, so I'm assuming that it would fail from that anyway

As for the blobs - asked the devs about it, first reply was that it should be alright to distribute these final useful bits of fmod, and [this fmod forum thread](https://qa.fmod.com/t/how-to-handle-fmod-in-an-open-source-project/21208) seems to suggest so as well as long as it's not the whole library, but uh, I'll agree with that it sounds dubious and package should probably be restricted

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (7 preceding siblings ...)
  2024-07-23 12:33 ` xolophreny
@ 2024-07-23 12:41 ` Calandracas606
  2024-07-23 12:49 ` [PR PATCH] [Updated] " xolophreny
                   ` (4 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Calandracas606 @ 2024-07-23 12:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 648 bytes --]

New comment by Calandracas606 on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2245148299

Comment:
> As for the blobs - asked the devs about it, first reply was that it should be alright to distribute these final useful bits of fmod, and [this fmod forum thread](https://qa.fmod.com/t/how-to-handle-fmod-in-an-open-source-project/21208) seems to suggest so as well as long as it's not the whole library, but uh, I'll agree with that it sounds dubious and package should probably be restricted

if this is the case, void would not be able to distribute the software under the terms of the AGPL



^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [PR PATCH] [Updated] New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (8 preceding siblings ...)
  2024-07-23 12:41 ` Calandracas606
@ 2024-07-23 12:49 ` xolophreny
  2024-07-23 12:53 ` [PR REVIEW] " Bnyro
                   ` (3 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: xolophreny @ 2024-07-23 12:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1439 bytes --]

There is an updated pull request by xolophreny against master on the void-packages repository

https://github.com/xolophreny/void-packages cortexcommand
https://github.com/void-linux/void-packages/pull/51381

New package: cortexcommand-6.2.2
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**


#### New package
- This new package conforms to the [package requirements](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#package-requirements): **YES**, compiled


<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64 (cross)
  - i686 (fails, meson can't find tbb, also doesn't seem to be supported upstream)
  - x86_64-musl (fails, fmod game audio library needs glibc)

Needs #50375 for recent enough LuaJIT, otherwise builds but crashes in use

A patch file from https://github.com/void-linux/void-packages/pull/51381.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-cortexcommand-51381.patch --]
[-- Type: text/x-diff, Size: 4404 bytes --]

From b74b3c66e9fdd75a4309d6dcb3f3e35e456491fe Mon Sep 17 00:00:00 2001
From: Nika Jay <xolophreny@proton.me>
Date: Sun, 21 Jul 2024 21:40:13 +0500
Subject: [PATCH] New package: cortexcommand-6.2.2

---
 srcpkgs/cortexcommand/patches/128.patch | 80 +++++++++++++++++++++++++
 srcpkgs/cortexcommand/template          | 24 ++++++++
 2 files changed, 104 insertions(+)
 create mode 100644 srcpkgs/cortexcommand/patches/128.patch
 create mode 100644 srcpkgs/cortexcommand/template

diff --git a/srcpkgs/cortexcommand/patches/128.patch b/srcpkgs/cortexcommand/patches/128.patch
new file mode 100644
index 00000000000000..df4efd4bdd40f3
--- /dev/null
+++ b/srcpkgs/cortexcommand/patches/128.patch
@@ -0,0 +1,80 @@
+From 20d5fc3b99675b64d40e3815b1fe635a5e32cdd3 Mon Sep 17 00:00:00 2001
+From: fl0pp5 <fl0pp5@altlinux.org>
+Date: Fri, 19 Apr 2024 18:47:59 +0300
+Subject: [PATCH 1/2] fix invalid link to Data directory & remove link to
+ Credits.txt
+
+---
+ Resources/cccp.sh | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index f1fd0aabe..8ded4ae25 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,7 +5,7 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-    ln -s "${base_data_path}"/*.rte "${base_data_path}/Credits.txt" $tmp_dir
++	ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+
+From 07a9105ce67b771de4f45effbecc331b5db221bf Mon Sep 17 00:00:00 2001
+From: HeliumAnt <lesgoets@gmail.com>
+Date: Sat, 20 Apr 2024 16:16:23 +0200
+Subject: [PATCH 2/2] update remaining userfiles
+
+---
+ Resources/cccp.sh | 18 +++---------------
+ 1 file changed, 3 insertions(+), 15 deletions(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index 8ded4ae25..abef3c1db 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,12 +5,12 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-	ln -s "${base_data_path}"/Data "$tmp_dir"
++    ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+-    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortScreen.bmp" "AbortScreen.png" "Settings.ini")
+-    local user_directories=("Metagames.rte" "Scenes.rte" "_ScreenShots")
++    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortLog.txt" "AbortScreen.bmp" "AbortScreen.png")
++    local user_directories=("Mods" "Userdata" "ScreenShots")
+ 
+     if ! [[ -d "${user_data}" ]]; then
+         mkdir -p "${user_data}"
+@@ -20,16 +20,6 @@ link_user_files() {
+         ln -s "${user_data}/$file" $tmp_dir
+     done
+ 
+-    if ! [[ -d "${user_data}/Metagames.rte" ]]; then
+-        mkdir -p "${user_data}/Metagames.rte"
+-        echo -e "DataModule\n\tModuleName = Metagame Saves" > "${user_data}/Metagames.rte/Index.ini"
+-    fi
+-
+-    if ! [[ -d "${user_data}/Scenes.rte" ]]; then
+-        mkdir -p "${user_data}/Scenes.rte"
+-        echo -e "DataModule\n\tModuleName = Saves" > "${user_data}/Scenes.rte/Index.ini"
+-    fi
+-
+     for directory in ${user_directories[@]}; do
+         if ! [[ -d "${user_data}/${directory}" ]]; then
+             mkdir -p "${user_data}/${directory}"
+@@ -51,8 +41,6 @@ link_user_files
+ 
+ cd "${tmp_dir}"
+ 
+-export CCCP_SETTINGSPATH="Settings.ini"
+-
+ "@EXEPATH@/@EXENAME@" $@
+ 
+ exit_code=$?
+
diff --git a/srcpkgs/cortexcommand/template b/srcpkgs/cortexcommand/template
new file mode 100644
index 00000000000000..85a04c018d5034
--- /dev/null
+++ b/srcpkgs/cortexcommand/template
@@ -0,0 +1,24 @@
+# Template file for 'cortexcommand'
+pkgname=cortexcommand
+version=6.2.2
+revision=1
+archs="x86_64 aarch64"
+build_style=meson
+configure_args="$(vopt_if debug --buildtype=debug)"
+hostmakedepends="pkg-config"
+makedepends="SDL2-devel SDL2_image-devel tbb-devel libflac-devel LuaJIT-devel minizip-devel liblz4-devel libpng-devel"
+depends="LuaJIT>=2.1.1"
+short_desc="Cortex Command Community Project"
+maintainer="Nika Jay <xolophreny@proton.me>"
+license="AGPL-3.0-only, custom:Proprietary"
+homepage="https://cortex-command-community.github.io"
+distfiles="https://github.com/cortex-command-community/Cortex-Command-Community-Project/archive/refs/tags/v${version}.tar.gz"
+checksum=66fb83566982d2fed4b01c2c83b5cd2ef4b8e6ede08f160eb16509f4bf340c80
+restricted=yes
+
+build_options="debug"
+desc_option_debug="Enable debug build"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [PR REVIEW] New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (9 preceding siblings ...)
  2024-07-23 12:49 ` [PR PATCH] [Updated] " xolophreny
@ 2024-07-23 12:53 ` Bnyro
  2024-07-23 12:55 ` [PR PATCH] [Updated] " xolophreny
                   ` (2 subsequent siblings)
  13 siblings, 0 replies; 15+ messages in thread
From: Bnyro @ 2024-07-23 12:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 259 bytes --]

New review comment by Bnyro on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#discussion_r1688012083

Comment:
```suggestion
checksum=66fb83566982d2fed4b01c2c83b5cd2ef4b8e6ede08f160eb16509f4bf340c80
repository=nonfree
```

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [PR PATCH] [Updated] New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (10 preceding siblings ...)
  2024-07-23 12:53 ` [PR REVIEW] " Bnyro
@ 2024-07-23 12:55 ` xolophreny
  2024-10-22  2:00 ` github-actions
  2024-11-06  1:58 ` [PR PATCH] [Closed]: " github-actions
  13 siblings, 0 replies; 15+ messages in thread
From: xolophreny @ 2024-07-23 12:55 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1439 bytes --]

There is an updated pull request by xolophreny against master on the void-packages repository

https://github.com/xolophreny/void-packages cortexcommand
https://github.com/void-linux/void-packages/pull/51381

New package: cortexcommand-6.2.2
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**


#### New package
- This new package conforms to the [package requirements](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#package-requirements): **YES**, compiled


<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64 (cross)
  - i686 (fails, meson can't find tbb, also doesn't seem to be supported upstream)
  - x86_64-musl (fails, fmod game audio library needs glibc)

Needs #50375 for recent enough LuaJIT, otherwise builds but crashes in use

A patch file from https://github.com/void-linux/void-packages/pull/51381.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-cortexcommand-51381.patch --]
[-- Type: text/x-diff, Size: 4424 bytes --]

From 444b110f5f2b5c5a5f52df4df9143924a852cbe8 Mon Sep 17 00:00:00 2001
From: Nika Jay <xolophreny@proton.me>
Date: Sun, 21 Jul 2024 21:40:13 +0500
Subject: [PATCH] New package: cortexcommand-6.2.2

---
 srcpkgs/cortexcommand/patches/128.patch | 80 +++++++++++++++++++++++++
 srcpkgs/cortexcommand/template          | 25 ++++++++
 2 files changed, 105 insertions(+)
 create mode 100644 srcpkgs/cortexcommand/patches/128.patch
 create mode 100644 srcpkgs/cortexcommand/template

diff --git a/srcpkgs/cortexcommand/patches/128.patch b/srcpkgs/cortexcommand/patches/128.patch
new file mode 100644
index 00000000000000..df4efd4bdd40f3
--- /dev/null
+++ b/srcpkgs/cortexcommand/patches/128.patch
@@ -0,0 +1,80 @@
+From 20d5fc3b99675b64d40e3815b1fe635a5e32cdd3 Mon Sep 17 00:00:00 2001
+From: fl0pp5 <fl0pp5@altlinux.org>
+Date: Fri, 19 Apr 2024 18:47:59 +0300
+Subject: [PATCH 1/2] fix invalid link to Data directory & remove link to
+ Credits.txt
+
+---
+ Resources/cccp.sh | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index f1fd0aabe..8ded4ae25 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,7 +5,7 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-    ln -s "${base_data_path}"/*.rte "${base_data_path}/Credits.txt" $tmp_dir
++	ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+
+From 07a9105ce67b771de4f45effbecc331b5db221bf Mon Sep 17 00:00:00 2001
+From: HeliumAnt <lesgoets@gmail.com>
+Date: Sat, 20 Apr 2024 16:16:23 +0200
+Subject: [PATCH 2/2] update remaining userfiles
+
+---
+ Resources/cccp.sh | 18 +++---------------
+ 1 file changed, 3 insertions(+), 15 deletions(-)
+
+diff --git a/Resources/cccp.sh b/Resources/cccp.sh
+index 8ded4ae25..abef3c1db 100644
+--- a/Resources/cccp.sh
++++ b/Resources/cccp.sh
+@@ -5,12 +5,12 @@ link_base_files() {
+         exit 1
+     fi
+ 
+-	ln -s "${base_data_path}"/Data "$tmp_dir"
++    ln -s "${base_data_path}"/Data "$tmp_dir"
+ }
+ 
+ link_user_files() {
+-    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortScreen.bmp" "AbortScreen.png" "Settings.ini")
+-    local user_directories=("Metagames.rte" "Scenes.rte" "_ScreenShots")
++    local user_files=("LogConsole.txt" "LogLoading.txt" "LogLoadingWarning.txt" "AbortLog.txt" "AbortScreen.bmp" "AbortScreen.png")
++    local user_directories=("Mods" "Userdata" "ScreenShots")
+ 
+     if ! [[ -d "${user_data}" ]]; then
+         mkdir -p "${user_data}"
+@@ -20,16 +20,6 @@ link_user_files() {
+         ln -s "${user_data}/$file" $tmp_dir
+     done
+ 
+-    if ! [[ -d "${user_data}/Metagames.rte" ]]; then
+-        mkdir -p "${user_data}/Metagames.rte"
+-        echo -e "DataModule\n\tModuleName = Metagame Saves" > "${user_data}/Metagames.rte/Index.ini"
+-    fi
+-
+-    if ! [[ -d "${user_data}/Scenes.rte" ]]; then
+-        mkdir -p "${user_data}/Scenes.rte"
+-        echo -e "DataModule\n\tModuleName = Saves" > "${user_data}/Scenes.rte/Index.ini"
+-    fi
+-
+     for directory in ${user_directories[@]}; do
+         if ! [[ -d "${user_data}/${directory}" ]]; then
+             mkdir -p "${user_data}/${directory}"
+@@ -51,8 +41,6 @@ link_user_files
+ 
+ cd "${tmp_dir}"
+ 
+-export CCCP_SETTINGSPATH="Settings.ini"
+-
+ "@EXEPATH@/@EXENAME@" $@
+ 
+ exit_code=$?
+
diff --git a/srcpkgs/cortexcommand/template b/srcpkgs/cortexcommand/template
new file mode 100644
index 00000000000000..44a620aa7c8e6c
--- /dev/null
+++ b/srcpkgs/cortexcommand/template
@@ -0,0 +1,25 @@
+# Template file for 'cortexcommand'
+pkgname=cortexcommand
+version=6.2.2
+revision=1
+archs="x86_64 aarch64"
+build_style=meson
+configure_args="$(vopt_if debug --buildtype=debug)"
+hostmakedepends="pkg-config"
+makedepends="SDL2-devel SDL2_image-devel tbb-devel libflac-devel LuaJIT-devel minizip-devel liblz4-devel libpng-devel"
+depends="LuaJIT>=2.1.1"
+short_desc="Cortex Command Community Project"
+maintainer="Nika Jay <xolophreny@proton.me>"
+license="AGPL-3.0-only, custom:Proprietary"
+homepage="https://cortex-command-community.github.io"
+distfiles="https://github.com/cortex-command-community/Cortex-Command-Community-Project/archive/refs/tags/v${version}.tar.gz"
+checksum=66fb83566982d2fed4b01c2c83b5cd2ef4b8e6ede08f160eb16509f4bf340c80
+repository=nonfree
+restricted=yes
+
+build_options="debug"
+desc_option_debug="Enable debug build"
+
+post_install() {
+	vlicense LICENSE
+}

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (11 preceding siblings ...)
  2024-07-23 12:55 ` [PR PATCH] [Updated] " xolophreny
@ 2024-10-22  2:00 ` github-actions
  2024-11-06  1:58 ` [PR PATCH] [Closed]: " github-actions
  13 siblings, 0 replies; 15+ messages in thread
From: github-actions @ 2024-10-22  2:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 305 bytes --]

New comment by github-actions[bot] on void-packages repository

https://github.com/void-linux/void-packages/pull/51381#issuecomment-2428055836

Comment:
Pull Requests become stale 90 days after last activity and are closed 14 days after that.  If this pull request is still relevant bump it or assign it.

^ permalink raw reply	[flat|nested] 15+ messages in thread

* Re: [PR PATCH] [Closed]: New package: cortexcommand-6.2.2
  2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
                   ` (12 preceding siblings ...)
  2024-10-22  2:00 ` github-actions
@ 2024-11-06  1:58 ` github-actions
  13 siblings, 0 replies; 15+ messages in thread
From: github-actions @ 2024-11-06  1:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1271 bytes --]

There's a closed pull request on the void-packages repository

New package: cortexcommand-6.2.2
https://github.com/void-linux/void-packages/pull/51381

Description:
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**


#### New package
- This new package conforms to the [package requirements](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#package-requirements): **YES**, compiled


<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->

#### Local build testing
- I built this PR locally for my native architecture, x86_64
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64 (cross)
  - i686 (fails, meson can't find tbb, also doesn't seem to be supported upstream)
  - x86_64-musl (fails, fmod game audio library needs glibc)

Needs #50375 for recent enough LuaJIT, otherwise builds but crashes in use

^ permalink raw reply	[flat|nested] 15+ messages in thread

end of thread, other threads:[~2024-11-06  1:58 UTC | newest]

Thread overview: 15+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-07-22  5:02 [PR PATCH] New package: cortexcommand-6.2.2 xolophreny
2024-07-22  8:35 ` Emru1
2024-07-22  8:35 ` Emru1
2024-07-22 23:17 ` Calandracas606
2024-07-23  8:35 ` Bnyro
2024-07-23 11:10 ` xolophreny
2024-07-23 11:16 ` Calandracas606
2024-07-23 11:30 ` Calandracas606
2024-07-23 12:33 ` xolophreny
2024-07-23 12:41 ` Calandracas606
2024-07-23 12:49 ` [PR PATCH] [Updated] " xolophreny
2024-07-23 12:53 ` [PR REVIEW] " Bnyro
2024-07-23 12:55 ` [PR PATCH] [Updated] " xolophreny
2024-10-22  2:00 ` github-actions
2024-11-06  1:58 ` [PR PATCH] [Closed]: " github-actions

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).